/*
 Theme Name:   GeneratePress Child
 Theme URI:    https://generatepress.com
 Description:  Default GeneratePress child theme
 Author:       Tom Usborne
 Author URI:   https://tomusborne.com
 Template:     generatepress
 Version:      0.1
*/


html, body { scroll-behavior: smooth; }
blockquote:before { content: url(https://klacey.com/wp-content/themes/generatepress_child/assets/images/quote.svg); position: absolute; left: -6px; top: -32px; z-index: -1; }
.parallax { height: 925px; background-attachment: fixed; background-position: center; background-repeat: no-repeat; background-size: cover; }
a.parallax { color: var(--accent); }
.parallax a:hover { color: var(--white); }
blockquote { border-left: none; padding: 5px 20px; font-size: 18px; margin: 40px 0 40px 20px; color: var(--accent-dark); }
blockquote .name, blockquote .organisation { color: var(--main);  }
.woocommerce .product-gallery ol { list-style: none; margin: 0; display: flex; flex-direction: column; min-width: 100px;  grid-gap: 10px; }
.woocommerce .product-gallery ol li { min-width: 100px;!important }
/* MAIN NAVIGATION */
#masthead { height: 0px; }
.mobile-menu { display: none; }
.branding a { display: flex; }
.inside-header { height: 90px;}
.block-header:not(.thin) { min-height: 270px; }
.main-navigation { position: fixed; width: 100%; background-color: var(--white);}
.main-navigation.scrolled { background-color: var(--white);}
.main-navigation ul ul {width: 100%; box-shadow: none;}
.main-navigation.scrolled ul li a { color: var(--accent)!important;}
.inside-navigation.grid-container {  width: calc(100vw - 40px); justify-content: flex-start; margin-left: 20px; margin-right: 20px;}
#primary-menu { margin-right: auto;}
.main-navigation .cart a.gp-icon svg { width: 1.4rem; height: 1.4rem; top: 6px;}
.main-navigation .cart a { position: relative; }
.main-navigation .cart-count { position: relative; top: -1.3rem; font-size: 12px;  }
.main-navigation.scrolled, .site-info { opacity: 1; visibility: visible; }
.gp-icon.icon-arrow svg { width: 1.3rem; height: 1.3rem; top: 6px; }
.main-navigation ul ul li { border-bottom: 1.5px solid var(--accent); }

/* LAZY Load starts */
img[data-lazyloaded]{ opacity: 0;}
img.litespeed-loaded{ -webkit-transition: opacity .5s linear 0.2s; -moz-transition: opacity .5s linear 0.2s; transition: opacity .5s linear 0.2s; opacity: 1; }
/* LAZY Load ends */

/* ANCHOR */
[id] {
    scroll-margin-top: 95px;
}
/* CATEGORY PAGES AND ARCHIVES */
span.gp-icon.icon-categories { display: none; }
.paging-navigation { position: absolute; left: 60px; transform: translateX(-50%); bottom: -10px; }

/* ALIGNMENT */
.align { max-width: calc(100vw - 80px); margin-left: 40px; margin-right:40px; } /*Ensures white border when set to 'align' */
.alignfull:not(:has(.bleed img)) { padding-left: 40px; padding-right: 40px; }

/* CONTAINERS */
.inside-navigation.grid-container, .container.grid-container { max-width: 100vw; }
.medium-container { max-width: 1400px; margin-left: auto; margin-right: auto;}
.regular-container { max-width: 1000px; margin-left: auto; margin-right: auto;}
.narrow-container { max-width: 650px; margin-left: auto; margin-right: auto; }
.footer-widgets { max-width: calc(100vw - 80px); margin-left: 40px; margin-right: 40px; border-top: solid 3px var(--accent); }
.site-info { transition: opacity 3s ease, visibility 3s ease; position: fixed; bottom: 0; z-index: 10; background: white; max-width: 100vw; width: 100%; padding: 0 40px; }
.inside-site-info.grid-container { padding: 10px 0; display: block; max-width: 100%;}
.footer-widgets-container.grid-container { max-width: 100vw; width: auto; }
.site-content { margin-top: 90px; display:block;}
.search .site-main header { display: none;}

/* PORTFOLIO NAV */
.current-menu-item a {
    color: var(--main);
}
.menu-portfolio-menu-container ul { list-style: none; display: flex; justify-content: center; margin: 0; align-items: center; margin-left: auto; margin-right: auto; flex-wrap: wrap;grid-gap: 20px; }
.menu-portfolio-menu-container ul li a, button.category-button, a.category-button  /*, .portfolio-tags a*/ {letter-spacing: 1px; font-size: 13px; font-weight: 700; text-transform: uppercase; padding: 9px 17px; background-color: var(--white);}
.portfolio-categories /*, .portfolio-tags a*/ {  letter-spacing: 1px; font-size: 13px; font-weight: 700; text-transform: uppercase; min-width: 150px; padding: 9px 17px; background-color: white; }
.menu-portfolio-menu-container li a:hover, .menu-portfolio-menu-container li a:focus, .menu-portfolio-menu-container li a:active { color: var(--main); }
.portfolio-details:first-of-type { margin-top: 30px; }

/* Post navigation within portfolio */
.site-main .post-navigation {display: flex; justify-content: center; align-items:center; position: relative; padding-bottom: 25px; margin-top: 20px !important;}
.post-navigation a {display: flex; justify-content: center;}
.category-count { color: var(--accent); font-size: small; position: absolute; left: 50%; transform: translateX(-50%); margin-top: 14px;}
.post-navigation a.disabled { pointer-events: none; opacity: 0.5; }
.post-navigation a.disabled img { filter: grayscale(100%); }

/* Site width on Archive pages */
.archive .site-content .content-area { max-width: 100%; }

/* CONTACT FORM */
form { margin-top: -32px; }
input.wpcf7-form-control.wpcf7-text { width: 100%; }
input[type=email], input[type=number], input[type=password], input[type=search], input[type=tel], input[type=text], input[type=url], select, textarea { border: 2px solid var(--accent)!important; padding: 9px; }
input[type="text"],input[type="email"],input[type="url"],input[type="password"],input[type="search"],input[type="tel"],input[type="number"],textarea,select { color: var(--main)!important; background-color: var(--light)!important; border-color: var(--accent)!important;}
input[type="text"]:focus,input[type="email"]:focus,input[type="url"]:focus,input[type="password"]:focus,input[type="search"]:focus,input[type="tel"]:focus,input[type="number"]:focus,textarea:focus,select:focus { color: var(--main)!important; background-color: var(--light)!important; border-color: var(--accent)!important; }
.wpcf7 p:nth-of-type(odd) { margin-bottom: 7px!important; }
input[type="submit"] { margin-top: 20px; position: relative; z-index: 3; }
.form-image img { position: relative; width: 130%; max-width: revert; bottom: 0; left: 10px; pointer-events:none;}
.form-image {position: relative; z-index: 2;  pointer-events:none;}

/* IMAGE GALLERY */
.gallery { column-gap: 20px; }
.gallery.gallery-columns-2 {column-count:2; }
.gallery.gallery-columns-3 {column-count:3; }
.gallery.gallery-columns-4 {column-count:4; }
.gallery.gallery-columns-5 {column-count:5; }
.gallery-icon {padding: 0px;}
.gallery-item { max-width: revert !important; break-inside: avoid; overflow: hidden; display: inline-block; width: 100%; padding-bottom: 20px; }
.gallery-item img { width: 100%; height: auto; display: block; }
.gallery-caption { display: none; }
.featherlight:last-of-type { background: rgba(0, 0, 0, .7)!important; }
[data-featherlight] img { cursor: pointer; }
.featherlight .featherlight-image { background-color: var(--accent-light); }

/* POST LISTING */
.masonry { column-count: 4; column-gap: 20px; padding: 0; margin-bottom: 40px; position: relative; }
.masonry-item { break-inside: avoid; overflow: hidden; width: 100%; }
.masonry-item img { width: 100%; height: auto; display: block; }
.masonry-item .post-image { overflow: hidden; margin-bottom: 20px!important; }
.post-image:not(:first-child) {margin-top: 0;}
.masonry-item .inside-article, .block-silder .inside-article { position: relative; }
.masonry-item .inside-article:hover .post-image a img, .block-slider .inside-article { transform: scale(1.1); }
.masonry-item .entry-header  { z-index: 2; visibility: hidden; opacity: 0; position: absolute; color: var(--white); -webkit-transition: all 0.5s ease-in-out; transition: all 0.5s ease-in-out; transform: translate(-50%, -50%); top: 50%;  left: 50%;}
.masonry-item .entry-header h4  { margin-bottom: 20px;}
.masonry-item .inside-article:hover .entry-header, .blog .masonry-item .inside-article .entry-header, .archive.category .masonry-item .inside-article .entry-header  { visibility: visible; opacity: 1; }
.post-image a:before, .carousel-item a:before { display: block; background-color: rgba(0, 0, 0, 0.5); content: ""; opacity: 0; visibility: hidden; position: absolute; top: 0; left: 0; width: 100%; height: 100%; -webkit-transition: all 0.5s ease-in-out; transition: all 0.5s ease-in-out; z-index: 1; }
.masonry-item .inside-article:hover .post-image a:before, .blog .masonry-item .inside-article .post-image a:before, .archive.category .masonry-item .inside-article .post-image a:before { visibility: visible; opacity: 1; }
.portfolio-meta { position: relative; font-size: 16px; text-align: center; font-weight: 400; letter-spacing: 0.75px; display: flex; justify-content: center; align-items: center; margin: 0!important;}
header.entry-header:not(.masonry-item header.entry-header, .block-posts-slider header.entry-header) {display:none;}
.page-header .author-info>:last-child, .page-header>:last-child { margin-bottom: revert; }
.visible-title .masonry-item .entry-header { position: relative; visibility: visible; opacity: 1; color: var(--main); line-height: normal; transform: translate(0px, 0px); top:0; left:0; }
.visible-title .masonry-item .entry-header:hover { color: var(--accent); }
.visible-title .post-image a:before { display:none; }
.col-1 .masonry { column-count:1 ; column-gap: 0px;  }
.col-2 .masonry { column-count:2 ; }
.col-3 .masonry { column-count:3 ;}

/* LINKS */
a, a img { font-weight: 700; transition: all 600ms ease 0s !important; }
.accent a { color: var(--main); }
a.inverse { color: var(--accent-light); }
a.link { padding: 0 10px; }
a.main-text { color: var(--main);}
a.main-text:hover { color: var(--dark-green);}

.i
/* BUTTONS */
a.button { text-transform: uppercase; border-radius: 2px; opacity:0.92; }
a.button.inverse { color: var(--accent); background-color: var(--main); opacity: 0.92; }
a.button.inverse:hover { color: var(--main); background-color: var(--accent);}
a.button.outline { color: var(--accent); background: transparent; border: solid; color: var(--accent); }
a.button.inverse.outline { color: var(--main); background: transparent; border: solid; color: var(--main); }
a.social.inverse img { text-transform: uppercase; border-radius: 2px; background-color: var(--main); width: 40px; height: 40px; padding: 10px;}
.post-navigation img { border-radius: 2px; width: 30px; padding: 10px;}
a.social.inverse img:hover {background-color: var(--light);}
a.social.follow img { text-transform: uppercase; border-radius: 2px; background-color: transparent; width: 40px; height: 40px; padding: 10px; }
.social-share-buttons, .social-follow-buttons {display: flex; align-items: center; grid-gap: 10px; }
.social-share-buttons a, .social-follow-buttons a { display: flex; }
.social-follow-buttons { justify-content: center; }
.footer-widgets .social-follow-buttons { justify-content: flex-start; }

/* COLOURS */
.main { background-color: var(--main); }
.green { background-color: var(--green); }
.grey { background-color: var(--grey);;}
.accent { background-color: var(--accent); }
.light { background-color: var(--light); }
.white { background-color: var(--white); }
.dark-green { background-color: var(--dark-green); color: var(--white);}
.accent-light { background-color: var(--accent-light); }

/* LAYOUT */
.entry-content:not(:first-child), .entry-summary:not(:first-child), .page-content:not(:first-child) {margin-top:0;}
.one-container .comments-area { display: none; }
.featured-image { display: none;}
.site-footer:not(.footer-bar-active) .copyright-bar {margin: 0 auto;text-align: left;}
.generate-back-to-top {bottom: 10px;line-height: normal;}
.inside-footer-widgets {padding: 40px; margin-bottom: 40px;  display: grid; grid-template-columns: 1fr 1fr 1fr; grid-gap: 30px; }
.footer-widgets-container { padding: 0px; }
.widget .block-column { position: relative; }
.grid { grid-gap: 20px; display:grid; }
footer.entry-meta { display: none; }
.breadcrumb { text-transform: uppercase; font-size: 12.5px; letter-spacing: 0.5px; line-height: 1.4; margin-bottom: 20px; margin-top: 20px; } 
/*.standalone.breadcrumb, .standalone .breadcrumb { margin-top: 20px;}*/
p:last-child { margin-bottom: 0px;}
p:has(> a img), p:has(> img) { line-height: 0; margin-bottom: 0px; }
.smt { margin-top: 20px;}
.smb { margin-bottom: 20px;}
.spt {padding-top: 20px;}
.spb {padding-bottom: 20px;}
.pt { padding-top: 40px;}
.pb { padding-bottom: 40px;}
.mt { margin-top: 60px;}
.mb { margin-bottom: 60px;}
.mpt { padding-top: 100px;}
.mpb { padding-bottom: 100px;}
.mmt { margin-top: 100px;}
.mmb { margin-bottom: 100px;}
.lpt { padding-top: 180px; }
.lpb { padding-bottom: 180px;}
.lmt { margin-top: 180px; }
.lmb { margin-bottom: 180px;}
.p0 {padding: 0px;}
.p20 {padding: 20px;}
.p40 {padding: 40px;}
.p60 {padding: 60px;}
.m0 {margin:0px;}
.m10 {margin: 10px;}
.center { text-align: center;}
.plr { padding-left: 40px; padding-right: 40px;}

/* GRID LAYOUT */
.fr-2-1 { grid-template-columns: 2fr 1fr;}
.fr-1-2 { grid-template-columns: 1fr 2fr; }
.fr-1-1 { grid-template-columns: 1fr 1fr;}
.fr-1-1-1 { grid-template-columns: 1fr 1fr 1fr; }
.fr-1-2-2 { grid-template-columns: 1fr 2fr 2fr; }
.fr-1-2-1 { grid-template-columns: 1fr 2fr 1fr; }
.fr-2-1-2 { grid-template-columns: 2fr 1fr 2fr; }
.fr-1-1-1-1 { grid-template-columns: 1fr 1fr 1fr 1fr; }
.fr-1-2-1-1 { grid-template-columns: 1fr 2fr 1fr 1fr; }
.fr-1-4 { grid-template-columns: 1fr 4fr; }

/* DECORATIONS */
.accent-line { border-top: 5px var(--accent) solid; }
.transparent img { mix-blend-mode: multiply;}
.block-column .rotate-30 img { transform: rotate(-30deg); top: -30px; max-width: 350px;}
.block-column .top img { object-position: top; }
.block-column .mh500.contain img { object-fit: contain; }

/* TYPOGRAPHY */
body {font-family: 'Ubuntu', sans-serif;}
h1, h3, h4, h5, h6 { font-family: 'Ubuntu', sans-serif; font-weight: 700; letter-spacing:.75px;}
h1, h2, h3, h4, h5, h6, p, .main-navigation { font-family: 'Ubuntu', sans-serif;}
h1 { font-size: 35px; margin-bottom: 29px;letter-spacing:.75px; font-family: 'Ubuntu', }
h2 { font-weight: 100; color: var(--accent-dark); font-style: italic; }
em p { font-style: italic; }
.sub-title, .block-column .sub-title p:first-of-type {margin-bottom: 20px; font-size: 16px; letter-spacing: 0.5px; text-transform: uppercase; font-weight: bold; }
.sub-text { font-size: 16px; letter-spacing: 0;}
.medium-text p { font-size: 22px; }
.medium-text a.button { font-size:initial; }
p { letter-spacing: 0.5px; margin-bottom: 0px;}
p + p, p + h1, p + h2, p + h3, p + h4, p + h5, p + h6, p + iframe, p + .gallery, div + p, p + ul { margin-top: 30px!important;} 
h4, h5, h6 { margin-bottom: 10px; }
.underline h3, h3.underline, .underline  h1, .underline  h4 { position: relative; display: inline-block; }
.underline h1:after, .underline h3:after, .underline h4:after { content: ''; transform: translatey(15px); bottom: 0; position: absolute; border-bottom: solid 3px var(--accent); width: 50%; left: 0; }
.underline.center h1:after, .underline.center h3:after, h3.center.underline:after, .underline.center h4:after { content: ''; transform:  translate(-50%, 15px); bottom: 0; position: absolute; border-bottom: solid 3px var(--accent); width: 50%; left:50%; }
.accent .underline h1:after, .accent .underline h3:after, .accent .underline h4:after, .accent.underline h1:after, .accent.underline h3:after, .accent.underline h4:after { border-bottom: solid 3px var(--accent-light); }
.footer-widgets .align { max-width: calc(100vw - 40px); margin-left: 0px; margin-right:0px;} 

/* SERVICES */
.services .underline h3 { margin-bottom: 40px; }

/***********************/
/* MEDIA QUERIES */

@media only screen and (min-width:1201px) { .sidebyside .gallery.gallery-columns-2:has(> :nth-child(2):last-child), .sidebyside .gallery.gallery-columns-3:has(> :nth-child(3):last-child)  { display: flex } }
@media only screen and (max-width:1200px) { .masonry { column-count: 3;} }
@media screen and (max-width: 1000px) {
	.alignfull:not(:has(.bleed img)) { padding-left: 20px; padding-right: 20px; }
	.align:not(.footer-widgets .align) { max-width: calc(100vw - 40px); margin-left: 20px; margin-right:20px; }
	.branding {margin-right: auto;}
	.toggled .icon-menu-bars svg:nth-child(2) { top: 1px;}
	.gp-icon.icon-menu-bars svg { top: 1px; }
	.main-navigation .main-nav ul li a {line-height: 45px;}
	.generate-mobile-menu { display: block; }
    .generate-main-menu { display: none; }
	.plr { padding-left: 20px; padding-right: 20px;}
	.inside-navigation.grid-container {max-width: calc(100vw - 40px);}
	#site-navigation .gp-icon.icon-menu-bars { font-size: 1.8rem; background-color: var(--accent); border-radius: 50px; padding: 15px; cursor: pointer; position: relative; top: 10px; }
	.nav-below-header .main-navigation .inside-navigation.grid-container { padding: 0; }
	.site-info { padding: 0 20px;}
	.footer-widgets { max-width: calc(100vw - 40px); padding: 30px 20px; margin: 0 20px;}
	.inside-footer-widgets {padding: 0;}
	#site-navigation { order: 3; }
	.inside-navigation.grid-container {	justify-content: center; }
	.main-navigation { display: flex; order: 2; justify-content: spaces-between; width: revert; }
	.main-navigation .cart {order: 2;  display: block; margin-left: 1rem; margin-right: 1rem; }
	.menu-toggle { font-size: 1.8rem; order: 3; padding: 0;}
	button.menu-toggle { flex-grow: inherit; box-sizing:border-box;}
	.menu-main-menu-container.active { display: block; }
	.menu-main-menu-container { display: none; }
	.menu-item-has-children.active ul { display: block; }
	.gallery, .gallery.gallery-columns-2, .gallery.gallery-columns-3, .gallery.gallery-columns-4  { column-count: 2;} 
	.masonry { column-count: 2;}
	.one-container .site-content { padding: revert; }
	.fr-1-1, .fr-2-1,.fr-1-2,.fr-1-1-1, .fr-1-2-2, .fr-1-2-1-1, .fr-1-4, .inside-footer-widgets { grid-template-columns: 1fr; }
	.gap0 .grid { grid-gap: 0; }
	.parallax { height: 300px; }
	.form-image img { display: none; }
}
@media screen and (max-width: 768px) {	
	.gallery, .gallery.gallery-columns-2, .gallery.gallery-columns-3, .gallery.gallery-columns-4 { column-count:1; } 
	.masonry { column-count: 1;} 
	.site-info { position: relative !important; }
}